Package org.postgresql.util

# Class GT

java.lang.Object
org.postgresql.util.GT

public class GT extends Object
This class provides a wrapper around a gettext message catalog that can provide a localized version of error messages. The caller provides a message String in the standard java.text.MessageFormat syntax and any arguments it may need. The returned String is the localized version if available or the original if not.

## Method Summary

Modifier and Type
Method
Description
`static String`
`tr(String message, @Nullable Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### tr

@Pure public static String tr(String message, @Nullable Object... args)